%define upstream_name    JSON-Tiny
%define upstream_version 0.58

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Minimal JSON, no dependencies
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/JSON/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
the JSON::Tiny manpage is a standalone adaptation of the Mojo::JSON
manpage, from the fabulous the Mojolicious manpage "web in a box" framework
(version 3.43). It has been adapted as a single-source-file module of about
345 lines of code with core-only dependencies.

Mojo::JSON was chosen as a starting point because it is so light-weight to
begin with, robust, relaxed, and well tested. Furthermore, Mojo::JSON's
tests were able to be adapted as easily as the module itself to a no
non-core dependency configuration.

Most of the remainder of this document is adapted directly from the
Mojo::JSON manpage. The names have been changed to protect the innocent.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.580.0-4.mga9
+ Revision: 1809534
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.580.0-3.mga8
+ Revision: 1504854
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.580.0-2.mga7
+ Revision: 1284469
- Mageia 7 Mass Rebuild

* Sun Dec 10 2017 shlomif <shlomif> 0.580.0-1.mga7
+ Revision: 1182043
- update to 0.58

* Thu May 19 2016 yuri_myasoedov <yuri_myasoedov> 0.560.0-1.mga6
+ Revision: 1016987
- update to new version 0.56.

* Fri Apr 29 2016 shlomif <shlomif> 0.550.0-1.mga6
+ Revision: 1007888
- update to 0.55

* Fri Apr 15 2016 shlomif <shlomif> 0.540.0-1.mga6
+ Revision: 1001995
- update to 0.54

* Thu Feb 18 2016 umeabot <umeabot> 0.530.0-2.mga6
+ Revision: 965731
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 sander85 <sander85> 0.530.0-1.mga6
+ Revision: 836971
- update to 0.53

* Wed Oct 15 2014 umeabot <umeabot> 0.500.0-4.mga5
+ Revision: 749288
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.500.0-3.mga5
+ Revision: 731952
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.500.0-2.mga5
+ Revision: 685146
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 sander85 <sander85> 0.500.0-1.mga5
+ Revision: 660495
- update to 0.50

* Tue May 20 2014 jquelin <jquelin> 0.490.0-1.mga5
+ Revision: 624325
- update to 0.49

* Thu Mar 13 2014 jquelin <jquelin> 0.450.0-1.mga5
+ Revision: 602925
- update to 0.45

* Mon Feb 24 2014 jquelin <jquelin> 0.420.0-1.mga5
+ Revision: 596263
- update to 0.42

* Sun Feb 09 2014 sander85 <sander85> 0.400.0-1.mga5
+ Revision: 587666
- update to 0.40

* Sat Oct 19 2013 umeabot <umeabot> 0.320.0-2.mga4
+ Revision: 528713
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 0.320.0-1.mga4
+ Revision: 447003
- update to 0.32

* Mon Jun 10 2013 jquelin <jquelin> 0.280.0-1.mga4
+ Revision: 441632
- update to 0.28

* Sun Jan 13 2013 umeabot <umeabot> 0.220.0-2.mga3
+ Revision: 368798
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.220.0-1.mga3
+ Revision: 316052
- update to 0.22

* Mon Oct 15 2012 jquelin <jquelin> 0.200.0-1.mga3
+ Revision: 306139
- update to 0.20

* Fri Oct 05 2012 jquelin <jquelin> 0.10.0-2.mga3
+ Revision: 302915
- rebuild since bs ate previous submission, nom-nom-nom

* Fri Oct 05 2012 jquelin <jquelin> 0.10.0-1.mga3
+ Revision: 302897
- imported package perl-JSON-Tiny


* Fri Oct 05 2012 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
